#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 foldl
version:              1.4.12
visibility:           public
id:                   foldl-1.4.12-713kQOwqSmyGXavMIHcBDW
key:                  foldl-1.4.12-713kQOwqSmyGXavMIHcBDW
license:              BSD-3-Clause
copyright:            2013 Gabriel Gonzalez
maintainer:           Gabriel439@gmail.com
author:               Gabriel Gonzalez
synopsis:             Composable, streaming, and efficient left folds
description:
    This library provides strict left folds that stream in constant
    memory, and you can combine folds using @Applicative@ style to derive new
    folds.  Derived folds still traverse the container just once and are often as
    efficient as hand-written folds.

category:             Control
abi:                  7fc8df684dc6e85c66d8b19011c0e0b8
exposed:              True
exposed-modules:
    Control.Foldl Control.Foldl.ByteString Control.Foldl.Text
    Control.Scanl

hidden-modules:
    Control.Foldl.Optics Control.Foldl.Internal
    Control.Foldl.Util.Vector Control.Foldl.Util.MVector

import-dirs:          /usr/lib/ghc-9.0.2/site-local/foldl-1.4.12
library-dirs:         /usr/lib/ghc-9.0.2/site-local/foldl-1.4.12
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-9.0.2/foldl-1.4.12
hs-libraries:         HSfoldl-1.4.12-713kQOwqSmyGXavMIHcBDW
depends:
    base-4.15.1.0 bytestring-0.10.12.1
    comonad-5.0.8-Iw3JPjGiSsJKsuEFaLKabc containers-0.6.4.1
    contravariant-1.5.5-FtJyCLyWfutGN2UWoJs8qd
    hashable-1.4.0.0-LbiCNO5gyl3FzQI198nxBm
    primitive-0.7.3.0-54yhKl7GYKVF2i3EyCYoxq
    profunctors-5.6.2-JippENckvhm7yH7I04Qnrq
    random-1.2.1-66Ivgj2ZR6P7NuQcoEOG2
    semigroupoids-5.3.7-1DauBc5sC899IUoeAe6zMf text-1.2.5.0
    transformers-0.5.6.2
    unordered-containers-0.2.16.0-CwffDPZxPuFHBx4xcBeO
    vector-0.12.3.1-FGR30quEvBKIVgcX0eclul

haddock-interfaces:   /usr/share/doc/haskell-foldl/html/foldl.haddock
haddock-html:         /usr/share/doc/haskell-foldl/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

